For the complete documentation index, see llms.txt. This page is also available as Markdown.

Roles

get
Authorizations
AuthorizationstringRequired

Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'

Query parameters
afterstringOptional
limitnumberOptional
Responses
200Success
application/json
get/v1/roles
GET /v1/roles HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "paging": {
    "next": {
      "after": "text"
    }
  },
  "data": [
    {
      "id": "text",
      "name": "text",
      "is_system": true
    }
  ]
}
get
Authorizations
AuthorizationstringRequired

Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'

Path parameters
roleIdstringRequired
Responses
200Success
application/json
idstringRequired

Unique ID

namestringRequired

Name of Role

is_systembooleanRequired

If true, this a Role defined and managed by the system.

get/v1/roles/{roleId}
GET /v1/roles/{roleId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "id": "text",
  "name": "text",
  "is_system": true
}

Last updated